/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef CAN_IMPL_TYPE_PENDINGSIGNALS_H
#define CAN_IMPL_TYPE_PENDINGSIGNALS_H

#include "impl_type_uint8.h"
namespace can {
enum class PendingSignals : UInt8
{
    IPC_TARGET_MOTOR_EN = 0,
    IPC_TARGET_GEAR = 1,
    IPC_TARGET_MODE = 2,
    IPC_LIFE_SIGNAL = 3,
    IPC_TARGET_SPEED = 4,
    IPC_TARGET_SPDVALID = 5,
    IPC_TARGET_BRK_PRESS = 6,
    IPC_TARGET_ANGLE = 7,
    IPC_TARGET_STEERING_EN = 8,
    IPC_TARGET_TORQUE = 9,
    IPC_TORQUE_RPM_MODE = 10,
    IPC_TURNLIGHT = 11,
    IPC_TARGET_SPDMODE = 12
};
} // namespace can


#endif // CAN_IMPL_TYPE_PENDINGSIGNALS_H
